Freeciv-3.3: /fast/freeciv/nightly/main/client/gui-gtk-4.0/choice_dialog.h File Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Functions
choice_dialog.h File Reference
`#include <gtk/gtk.h>`

Go to the source code of this file.

## Functions

GtkWidget * | popup_choice_dialog (GtkWindow *parent, const gchar *dialogname, const gchar *text,...)
void | choice_dialog_set_hide (GtkWidget *dshell, gboolean setting)
GtkWidget * | choice_dialog_start (GtkWindow *parent, const gchar *name, const gchar *text)
void | choice_dialog_destroy (GtkWidget *dlg)
void | choice_dialog_add (GtkWidget *dshell, const gchar *label, GCallback handler, gpointer data, bool meta, const gchar *tool_tip)
void | choice_dialog_end (GtkWidget *dshell)
int | choice_dialog_get_number_of_buttons (GtkWidget *cd)
void | choice_dialog_button_set_sensitive (GtkWidget *shl, int button, gboolean state)
void | choice_dialog_button_set_label (GtkWidget *cd, int button, const char *label)
void | choice_dialog_button_set_tooltip (GtkWidget *cd, int number, const char *tool_tip)
void | choice_dialog_button_move_to_the_end (GtkWidget *cd, const int number)

## Function Documentation

## ◆ choice_dialog_add()

void choice_dialog_add | ( | GtkWidget * | dshell,
|  | const gchar * | label,
|  | GCallback | handler,
|  | gpointer | data,
|  | bool | meta,
|  | const gchar * | tool_tip
| ) |  |

Add button to choice dialog.

Definition at line 158 of file choice_dialog.c.

## ◆ choice_dialog_button_move_to_the_end()

void choice_dialog_button_move_to_the_end | ( | GtkWidget * | cd,
|  | const int | number
| ) |  |

Move the specified button to the end.

Definition at line 91 of file choice_dialog.c.

## ◆ choice_dialog_button_set_label()

void choice_dialog_button_set_label | ( | GtkWidget * | cd,
|  | int | number,
|  | const char * | label
| ) |  |

Set label for choice dialog button.

Definition at line 71 of file choice_dialog.c.

## ◆ choice_dialog_button_set_sensitive()

void choice_dialog_button_set_sensitive | ( | GtkWidget * | cd,
|  | int | button,
|  | gboolean | state
| ) |  |

Set sensitivity state of choice dialog button.

Definition at line 62 of file choice_dialog.c.

## ◆ choice_dialog_button_set_tooltip()

void choice_dialog_button_set_tooltip | ( | GtkWidget * | cd,
|  | int | number,
|  | const char * | tool_tip
| ) |  |

Set tool tip for choice dialog button.

Definition at line 81 of file choice_dialog.c.

## ◆ choice_dialog_destroy()

void choice_dialog_destroy | ( | GtkWidget * | dlg | ) |

Free choice dialog.

Definition at line 244 of file choice_dialog.c.

## ◆ choice_dialog_end()

void choice_dialog_end | ( | GtkWidget * | dshell | ) |

Choice dialog construction ready

Definition at line 194 of file choice_dialog.c.

## ◆ choice_dialog_get_number_of_buttons()

int choice_dialog_get_number_of_buttons | ( | GtkWidget * | cd | ) |

Get the number of buttons in the choice dialog.

Definition at line 38 of file choice_dialog.c.

## ◆ choice_dialog_set_hide()

void choice_dialog_set_hide | ( | GtkWidget * | dshell,
|  | gboolean | setting
| ) |  |

Set hide property of choice dialog

Definition at line 207 of file choice_dialog.c.

## ◆ choice_dialog_start()

GtkWidget * choice_dialog_start | ( | GtkWindow * | parent,
|  | const gchar * | name,
|  | const gchar * | text
| ) |  |

Create choice dialog

Definition at line 103 of file choice_dialog.c.

## ◆ popup_choice_dialog()

GtkWidget * popup_choice_dialog | ( | GtkWindow * | parent,
|  | const gchar * | dialogname,
|  | const gchar * | text,
|  |  | ...
| ) |  |

Open new choice dialog.

Definition at line 215 of file choice_dialog.c.